#include<iostream>

using namespace std;

int main(void)
{
    int N, K;

    cin>>N>>K;

    int dek[N];

    for(int i = 0; i < N; ++i)
        cin>>dek[i];

    if(dek[N-1] == K)
        cout<<dek[0];
    else{
        for(int i = 0; i < (N-1); i++){
            if(dek[i] == K) {
                cout<<dek[i+1];
                break;
            }
        }
    }

    return 0;
}